# GstColorBalanceChannel

The GstColorBalanceChannel object represents a parameter for modifying the color balance implemented by an element providing the GstColorBalance interface. For example, Hue or Saturation.

## GstColorBalanceChannel

    GObject
        ╰──GstColorBalanceChannel

### Members

`parent` (GObject) –
No description available
`label` (gchar *) –

A string containing a descriptive name for this channel

`min_value` (gint) –

The minimum valid value for this channel.

`max_value` (gint) –

The maximum valid value for this channel.

### Class structure

#### GstColorBalanceChannelClass

Color-balance channel class.

##### Fields

`parent` (GObjectClass) –

the parent class

### GstVideo.ColorBalanceChannelClass

Color-balance channel class.

##### Attributes

`parent` (GObject.ObjectClass) –

the parent class

### GstVideo.ColorBalanceChannelClass

Color-balance channel class.

##### Attributes

`parent` (GObject.ObjectClass) –

the parent class

## GstVideo.ColorBalanceChannel

    GObject.Object
        ╰──GstVideo.ColorBalanceChannel

### Members

`parent` (GObject.Object) –
No description available
`label` (String) –

A string containing a descriptive name for this channel

`min_value` (Number) –

The minimum valid value for this channel.

`max_value` (Number) –

The maximum valid value for this channel.

## GstVideo.ColorBalanceChannel

    GObject.Object
        ╰──GstVideo.ColorBalanceChannel

### Members

`parent` (GObject.Object) –
No description available
`label` (str) –

A string containing a descriptive name for this channel

`min_value` (int) –

The minimum valid value for this channel.

`max_value` (int) –

The maximum valid value for this channel.

### Signals

#### value-changed

    value_changed_callback (GstColorBalanceChannel * self,
                            gint value,
                            gpointer user_data)

Fired when the value of the indicated channel has changed.

Parameters:

`self` –
No description available
`value` –

The new value

`user_data` –
No description available

Flags: Run Last

#### value-changed

    function value_changed_callback(self: GstVideo.ColorBalanceChannel, value: Number, user_data: Object): {
        // javascript callback for the 'value-changed' signal
    }

Fired when the value of the indicated channel has changed.

Parameters:

`self` (GstVideo.ColorBalanceChannel) –
No description available
`value` (Number) –

The new value

`user_data` (Object) –
No description available

Flags: Run Last

#### value-changed

    def value_changed_callback (self, value, *user_data):
        #python callback for the 'value-changed' signal

Fired when the value of the indicated channel has changed.

Parameters:

`self` (GstVideo.ColorBalanceChannel) –
No description available
`value` (int) –

The new value

`user_data` (variadic) –
No description available

Flags: Run Last

### Virtual Methods

#### value_changed

    value_changed (GstColorBalanceChannel * channel,
                   gint value)

default handler for value changed notification

Parameters:

`channel` –
No description available
`value` –
No description available

#### vfunc_value_changed

    function vfunc_value_changed(channel: GstVideo.ColorBalanceChannel, value: Number): {
        // javascript implementation of the 'value_changed' virtual method
    }

default handler for value changed notification

Parameters:

`channel` (GstVideo.ColorBalanceChannel) –
No description available
`value` (Number) –
No description available

#### do_value_changed

    def do_value_changed (channel, value):
        #python implementation of the 'value_changed' virtual method

default handler for value changed notification

Parameters:

`channel` (GstVideo.ColorBalanceChannel) –
No description available
`value` (int) –
No description available

## Constants

### GST_TYPE_COLOR_BALANCE_CHANNEL

    #define GST_TYPE_COLOR_BALANCE_CHANNEL \
      (gst_color_balance_channel_get_type ())

The results of the search are